<template>
    <v-row>
        <v-col>
            <pick-form
                v-model="pick"
                :loading="loading"
                :clearable="false"
                @updated="onUpdate"
                mode="edit"
            >
            </pick-form>
        </v-col>
    </v-row>
</template>

<script>
    import PickForm from "./PickForm";
    import util from "../../../mixins/util";
    import moment from "moment"
    import i18n from '../../../plugins/i18n'

    export default {
        name: "PickEdit",
        components: {PickForm},
        mixins: [ util ],
        props: {
            id: [String, Number],
        },
        data: () => ({
            loading: true,
            pick: {
                id: 0,
                user: '',
                gender: '',
                sizes: [],
                styles: [],
                fits: [],
                brands: [],
                colors: [],
                status:'',
                created_at: '',
            },
        }),

        mounted() {
            this.fetchPick()
                .then(data => {
                    this.mapPick(data);
                    this.loading = false;
                })
        },

        methods: {
            fetchPick() {
                return new Promise((resolve, reject) => {
                    axios.get(`api/picks/${this.id}`)
                        .then(({ data }) => {
                            resolve(data);
                        })
                        .catch(error => {
                            reject(error);
                        })
                })
            },

            mapPick(pick) {
                this.pick.id = pick.id;
                this.pick.user = pick.user;
                this.pick.gender = pick.gender;
                this.pick.sizes = pick.sizes;
                this.pick.styles = pick.styles;
                this.pick.fits = pick.fits;
                this.pick.brands = pick.brands;
                this.pick.colors = pick.colors;
                this.pick.status = i18n.t(pick.status);
                this.pick.remark = pick.remark;
                this.pick.created_at = moment(pick.created_at).format('YYYY-MM-DD HH:mm:ss');;
            },

            onUpdate(pick) {
                this.mapPick(pick);
            }
        }
    }
</script>

<style >

</style>
